\newcommand{\zqs}[1]{\textcolor{red}{#1}}

% math
\usepackage{amsmath}
\newcommand\norm[1]{\left\lVert#1\right\rVert}
\DeclareMathOperator*{\argmin}{arg\,min} % Jan Hlavacek
\DeclareMathOperator*{\argmax}{arg\,max} % Jan Hlavacek

\newcommand{\mA}{\mathbf A}
\newcommand{\mB}{\mathbf B}
\newcommand{\mC}{\mathbf C}
\newcommand{\mD}{\mathbf D}
\newcommand{\mI}{\mathbf I}
\newcommand{\mJ}{\mathbf J}
\newcommand{\mR}{\mathbf R}
\newcommand{\mS}{\mathbf S}
\newcommand{\mT}{\mathbf T}
\newcommand{\mV}{\mathbf V}
\newcommand{\mZ}{\mathbf Z}

\newcommand{\ma}{\mathbf a}
\newcommand{\mx}{\mathbf x}
\newcommand{\mr}{\mathbf r}
\newcommand{\mz}{\mathbf z}

\DeclareMathOperator*{\E}{\mathbb{E}}
\DeclareMathOperator*{\R}{\mathbb{R}}

\newcommand{\Bigo}{\mathcal{O}}

